CancelAllOrder (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Class CancelAllOrder

- java.lang.Object
- - com.marketfactory.messaging.CancelAllOrder

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<CancelAllOrder>

      public final class CancelAllOrder
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<CancelAllOrder>, java.io.Serializable

  Trading Action: A request to cancel all orders.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cxlID` Client-provided cancellation request ID.
    `int` | `feedID` A unique identifier for the feed.
    `boolean` | `monitoredOnly`
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CancelAllOrder()`
    `protected` | `CancelAllOrder(ProtoByteBuffer buffer)`
    `` | `CancelAllOrder(java.lang.String cxlID, boolean monitoredOnly, long timeApiClient, long timeApiServer, long timeHandler, int feedID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CancelAllOrder rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cxlID

          public java.lang.String cxlID

      Client-provided cancellation request ID.

    - #### monitoredOnly

          public boolean monitoredOnly

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### feedID

          public int feedID

      A unique identifier for the feed.

  - ### Constructor Detail

    - #### CancelAllOrder

          public CancelAllOrder()

    - #### CancelAllOrder

          protected CancelAllOrder(ProtoByteBuffer buffer)

    - #### CancelAllOrder

          public CancelAllOrder(java.lang.String cxlID,
                                boolean monitoredOnly,
                                long timeApiClient,
                                long timeApiServer,
                                long timeHandler,
                                int feedID)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(CancelAllOrder rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CancelAllOrder>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)